#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTTP
%define		pnam	GHTTP
Summary:	HTTP::GHTTP - Perl interface to the GNOME ghttp library
Summary(pl.UTF-8):	HTTP::GHTTP - moduł Perla z interfejsem do biblioteki GNOME ghttp
Name:		perl-HTTP-GHTTP
Version:	1.07
Release:	13
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTTP/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	af6090669fde7709c765c2caf03aa42b
URL:		http://search.cpan.org/dist/HTTP-GHTTP/
BuildRequires:	libghttp-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HTTP::GHTTP module is a simple Perl interface to the GNOME ghttp
library. It allows you to make very simple HTTP requests, without the
weight of something like LWP. This makes it very useful in situations
where memory and speed are at a premium, such as mod_perl.

%description -l pl.UTF-8
Moduł Perla HTTP::GHTTP stanowi prosty interfejs do biblioteki GNOME
ghttp. Umożliwia on tworzenie bardzo prostych zapytań HTTP bez narzutu
czegoś takiego, jak LWP. Czyni to go bardzo przydatnym, gdy pamięć i
prędkość są bardzo istotne, np. w mod_perl.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/g-request
%dir %{perl_vendorarch}/HTTP
%{perl_vendorarch}/HTTP/GHTTP.pm
%dir %{perl_vendorarch}/auto/HTTP
%dir %{perl_vendorarch}/auto/HTTP/GHTTP
%attr(755,root,root) %{perl_vendorarch}/auto/HTTP/GHTTP/GHTTP.so
%{_mandir}/man3/HTTP::GHTTP*.3pm*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTTP-GHTTP.git;a=log;h=master

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> a880603
- rebuild with perl 5.24.0
- release 13 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> bd78cd3
- release 12 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> ef87e5e
- x32 rebuild
- release 11 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5228c65
- release 10 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9fc6dc1
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 151b9a5
- rebuild for perl 5.20
- release 9 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 237a9db
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 212e469
- release 7

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 611bab7
- release 6

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 51a1049
- .so perms

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 3e6ae42
- generic URL

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> fb053b3
- release 5

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f16a10
- rel 4

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 6f64d8b
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 24919ac
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 16c8aee
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> dea601d
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 98647b0
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> d7dd297
- fixed perl-devel BR

* Sat Apr 24 2004 ankry <ankry@pld-linux.org> a438612
- test added

